## Name

vfs_time_audit — samba vfs module to log slow VFS operations

## Synopsis

`vfs objects = time_audit`

## DESCRIPTION

This VFS module is part of the samba(7) suite.

The `time_audit` VFS module logs system calls that take longer than the number of milliseconds defined by the variable `time_audit:audit_timeout`. It will log the calls and the time spent in it.

It's kind of comparable with `strace -T` and is helpful to reveal performance problems with the underlying file and storage subsystems.

This module is stackable.

## OPTIONS

time_audit:audit_timeout = number of milliseconds

  VFS calls that take longer than the defined number of milliseconds that should be logged. The default is 10000 (10s).

## EXAMPLES

This would log VFS calls that take longer than 3 seconds:

            [sample_share]
    	path = /test/sample_share
    	vfs objects = time_audit
    	time_audit: audit_timeout = 3000

## VERSION

This man page is correct for version 3.6.0 of the Samba suite.

## AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.

The time_audit VFS module was created with contributions from Abhidnya Chirmule.